# stl_tempbuf.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_tempbuf.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::_Temporary_buffer< _ForwardIterator, _Tp >

## Defines

- #define _STL_TEMPBUF_H

## Functions

- template<typename _Tp> pair< _Tp *, ptrdiff_t > std::get_temporary_buffer (ptrdiff_t __len)
- template<typename _Tp> void std::return_temporary_buffer (_Tp *__p)